package router

import (
	"github.com/gin-gonic/gin"
	"wireguard-ui/http/api"
	"wireguard-ui/http/middleware"
)

// LoginApi
// @description: 登陆相关API
// @param r
func LoginApi(r *gin.RouterGroup) {
	login := r.Group("/login", middleware.RequestLog())
	{
		login.GET("/captcha", api.Login().Captcha) // 获取登陆验证码
		login.POST("", api.Login().Login)          // 登陆
	}

}
